Name:		clusternfs
Version:	3.0.rc2
Release:	7mdk

License:	GPL
Group:		System/Servers
Provides:	nfscluster
Requires:	portmap
Conflicts:	nfs-utils nfs-server
Summary:	ClusterNFS server
URL:		http://clusternfs.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
Source1:	clusternfs.init
BuildRequires:	tcp_wrappers-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	portmap >= 4.0
PreReq:		/sbin/chkconfig

%description
ClusterNFS allows diskless clients to share a single root filesystem
by matching "tagged" filenames of the form "filename$$TAG=value$$" 
with fallback to the original filename.

%prep
rm -fr %{buildroot}
%setup -q

%build
./BUILD --batch \
	--rquotad=no \
	--ugidd=no --nis=yes \
	--hosts-access=yes\
	--libwrap-directory=%{_libdir} \
	--exports-uid=0 --exports-gid=0 \
	--log-mounts=yes --multi=yes \
	--devtab=yes --trnames=yes \
	--path_devtab=%{_localstatedir}/nfs/devtab

make

%install
rm -fr %{buildroot}

make DESTDIR=%{buildroot} install
install -d %{buildroot}/var/adm/fillup-templates %{buildroot}/etc/rc.d/init.d
install -m 755 %{SOURCE1} %{buildroot}/etc/rc.d/init.d/clusternfs

%post
%_post_service clusternfs

%preun
%_preun_service clusternfs
  
%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS COPYING ChangeLog HALL_OF_FAME NEWS README README.HISTORIC TODO README.ClusterNFS EXAMPLE.ClusterNFS
%{_mandir}/man5/*
%{_mandir}/man8/[m-r]*
%{_localstatedir}/nfs
%{_sbindir}/rpc.*
%config(noreplace) %{_initrddir}/clusternfs

%changelog
* Thu Aug  8 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.0.rc2-7mdk
- remove showmount and conflict with nfs-utils-clients
- revert %%post, %%preun to former setup with macros, despite rpmlint

* Tue Aug  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.0.rc2-6mdk
- fix typo in chkconfig

* Tue Aug  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.0.rc2-5mdk
- Conflicts: nfs-utils-clients, rpmlint: *-without-chkconfig

* Fri Jul 26 2002 Stefan van der Eijk <stefan@eijk.nu> 3.0.rc2-4mdk
- BuildRequires

* Tue Jun 11 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.0.rc2-3mdk
- fix paths on build/install - referencing %%buildroot when app runs
- change Conflicts s/nfsutils/nfs-utils/
- fix post/preun scriptlets - no nfsserver script to chkconfig on

* Mon May 6 2002 Antoine Ginies <aginies@mandrakesoft.com> 3.0.rc2-2mdk
- first release for Mandrakesoft
